import { PageResult } from "./common";

// 违纪导入
export interface BreachListItem {
  subjectCode: string;
  subjectName: string;
  breachCount: number;
}

// 考生状态
export interface StudentStatusListItem {
  subjectCode: string;
  subjectName: string;
  custStatusCount: number;
}

// 评卷点
export interface MarkSiteListItem {
  id: string;
  subjectCode: string;
  subjectName: string;
  paperType: string;
  oddNumber: number;
  evenNumber: number;
}

export type MarkSiteListPageResult = PageResult<MarkSiteListItem[]>;

export interface MarkSiteSaveParams {
  id?: string;
  examId: string;
  subjectCode: string;
  paperType: string;
  oddNumber: number;
  evenNumber: number;
}

export interface markSiteSetParams {
  examId: string;
  scanSite: string;
}

export interface dbfExportParams {
  examId: string;
  subjectCode: string;
}

export interface dbfExportProgressResult {
  progress: number;
  url: string | null;
}
